LibOFX: /home/bock/development/libofx/libofx-0.8.0/lib/ Directory Reference

Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# lib Directory Reference

## Files
file | fx-0.8.0/lib/context.cpp
file | fx-0.8.0/lib/context.hh
file | fx-0.8.0/lib/file_preproc.cpp
| File type detection, etc.

file | fx-0.8.0/lib/file_preproc.hh
| Preprocessing of the OFX files before parsing.

file | fx-0.8.0/lib/getopt.c
file | fx-0.8.0/lib/getopt1.c
file | fx-0.8.0/lib/gnugetopt.h
file | fx-0.8.0/lib/messages.cpp
| Message IO functionality.

file | fx-0.8.0/lib/messages.hh
| Message IO functionality.

file | fx-0.8.0/lib/ofc_sgml.cpp
| OFX/SGML parsing functionnality.

file | fx-0.8.0/lib/ofc_sgml.hh
| OFX/SGML parsing functionnality.

file | fx-0.8.0/lib/ofx_aggregate.hh
| Declaration of OfxAggregate which allows you to construct a single OFX aggregate.

file | fx-0.8.0/lib/ofx_container_account.cpp
| Implementation of OfxAccountContainer for bank, credit card and investment accounts.

file | fx-0.8.0/lib/ofx_container_generic.cpp
| Implementation of OfxGenericContainer.

file | fx-0.8.0/lib/ofx_container_main.cpp
| Implementation of OfxMainContainer.

file | fx-0.8.0/lib/ofx_container_security.cpp
| Implementation of OfxSecurityContainer for stocks, bonds, mutual funds, etc.

file | fx-0.8.0/lib/ofx_container_statement.cpp
| Implementation of OfxStatementContainer for bank statements, credit cart statements, etc.

file | fx-0.8.0/lib/ofx_container_transaction.cpp
| Implementation of OfxTransactionContainer, OfxBankTransactionContainer and OfxInvestmentTransactionContainer.

file | fx-0.8.0/lib/ofx_containers.hh
| LibOFX internal object code.

file | fx-0.8.0/lib/ofx_containers_misc.cpp
| LibOFX internal object code.

file | fx-0.8.0/lib/ofx_error_msg.hh
| OFX error code management functionnality.

file | fx-0.8.0/lib/ofx_preproc.cpp
| Preprocessing of the OFX files before parsing.

file | fx-0.8.0/lib/ofx_preproc.hh
| Preprocessing of the OFX files before parsing.

file | fx-0.8.0/lib/ofx_request.cpp
| Implementation of an OfxRequests to create an OFX file containing a generic request .

file | fx-0.8.0/lib/ofx_request.hh
| Declaration of an OfxRequests to create an OFX file containing a generic request .

file | fx-0.8.0/lib/ofx_request_accountinfo.cpp
| Implementation of libofx_request_accountinfo to create an OFX file containing a request for all account info at this FI for this user.

file | fx-0.8.0/lib/ofx_request_accountinfo.hh
| Declaration of OfxRequestAccountInfo create an OFX file containing a request for all account info at this FI for this user.

file | fx-0.8.0/lib/ofx_request_statement.cpp
| Implementation of libofx_request_statement to create an OFX file containing a request for a statement.

file | fx-0.8.0/lib/ofx_request_statement.hh
| Declaration of libofx_request_statement to create an OFX file containing a request for a statement.

file | fx-0.8.0/lib/ofx_sgml.cpp
| OFX/SGML parsing functionnality.

file | fx-0.8.0/lib/ofx_sgml.hh
| OFX/SGML parsing functionnality.

file | fx-0.8.0/lib/ofx_utilities.cpp
| Various simple functions for type conversion & al.

file | fx-0.8.0/lib/ofx_utilities.hh
| Various simple functions for type conversion & al.

file | fx-0.8.0/lib/tree.hh